-- #102
CREATE TABLE lineitemshippingcolissimo (
     lineitemshippingcolissimoid integer  not null
,    parcelnumber         varchar(80)  null
,    cecivility           char(3)  null
,    cename               varchar(34)  null
,    cefirstname          varchar(29)  null
,    cecompanyname        varchar(38)  null
,    ceemail              varchar(80)  null
,    cephonenumber        varchar(10)  null
,    deliverymode         char(3)  null
,    ceadress1            varchar(38)  null
,    ceadress2            varchar(38)  null
,    ceadress3            varchar(38)  null
,    ceadress4            varchar(38)  null
,    cezipcode            varchar(5)  null
,    cetown               varchar(32)  null
,    cedoorcode1          varchar(8)  null
,    cedoorcode2          varchar(8)  null
,    ceentryphone         varchar(30)  null
,    cedeliveryinformation varchar(70)  null
,    prid                 integer  null
,    prname               varchar(50)  null
,    prcompladress        varchar(38)  null
,    pradress1            varchar(38)  null
,    pradress2            varchar(38)  null
,    przipcode            varchar(5)  null
,    prtown               varchar(32)  null
,    dypreparationtime    integer  null
,    dyforwardingcharges  decimal(19,4)  null
,    trclientnumber       varchar(30)  null
,    trordernumber        varchar(30)  null
,    trparamplus          varchar(256)  null
,    tradercompanyname    varchar(38)  null
,    orderid              varchar(16)  null
,    errorcode            varchar(80)  null
,    iscolissimoshippingok bool  not null
,    shippingaddressid    integer  null

,   constraint key_1                            primary key (lineitemshippingcolissimoid)
,   constraint fk_lineitemshippingcolissimo_l   foreign key (lineitemshippingcolissimoid)
        references lineitem                         (lineitemid)
,   constraint fk_lineitemshippingcolissimo_a   foreign key (shippingaddressid)
        references address                          (addressid)
)
GO
