/*
	Copyright (c) 2006-2007, epages Software GmbH
	All Rights Reserved.

  epages.io.Html $Revision: 1.2.52.1 $

*/
dojo.provide('epages.io.html_test');
dojo.require('epages.io.html');

dojo.extend(epages.io.Html, {
	test: /*Boolean*/ function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	  var package = new epages.io.Html();
		//		boolean = package.test(eTest);
		//		// returns true if all test are successfully
		eTest.setPlanned(2);
		eTest.ok(1, 'loaded');

		this.load('htmlTest.inc', $('testTarget'), true);
		eTest.ok($('testTarget').innerHTML == 'Header loaded successfully.', 'load header');
		$('testTarget').innerHTML = '';

		// closing async test
		return eTest.planned == eTest.correct ? true : false;
	}
});
