/*
	Copyright (c) 2006-2007, epages Software GmbH
	All Rights Reserved.

  epages.html.element $Revision: 1.2.52.1 $

*/
dojo.provide('epages.template_test');
dojo.require('epages.template');
dojo.require('epages.lang.array');

dojo.extend(epages.Template, {
	test: /*Boolean*/ function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	  var template = new epages.Template();
		//		boolean = template.test(eTest);
		//		// returns true if all test are successfully
		eTest.setPlanned(3);
		eTest.ok(1, 'loaded');

		this.setTemplate('(%key%) is (%value%)');
		var result = this.processHash({
			key		: 'schluessel',
			value	: 'wert'
		});
		eTest.ok('schluessel is wert' == result, result);

		result = this.processLoop($A([{
			key		: 'schluessel',
			value	: 'wert'
		},{
			key		: 'key',
			value	: 'value'
		}]));
		eTest.ok('schluessel is wertkey is value' == result, result);

		return eTest.planned == eTest.correct ? true : false;
	}
});
