tinymce.baseURL = '#StoreRoot/javascript/tiny_mce';
epages.vars.tinyMCESettings = {
	mode:                             'none',
	theme:                            "inline",
	auto_resize:                      false,
	language:                         "en",
	plugins:                          "table,epcontent,advimage,media,paste",
	theme_advanced_toolbar_location:  "none",
	convert_fonts_to_spans:           false,
	font_size_style_values:           "10px,13px,16px,18px,24px,32px,48px",
	inline_styles:                    true,
	cleanup:                          true,
	inline_style:                     false,
	verify_html:                      false,
	entities:                         "",
	fix_table_elements :              false,
	process_html:                     true,
	keep_values:                      true,
	valid_elements:                   "+a[id|style|rel|rev|charset|hreflang|dir|lang|tabindex|accesskey|type|name|href|target|title|class|onfocus|onblur|onclick|ondblclick|onmousedown|onmouseup|onmouseover|onmousemove|onmouseout|onkeypress|onkeydown|onkeyup]," +
		"-strong/b[class|style]," +
		"-em/i[class|style]," +
		"-strike[class|style]," +
		"-u[class|style]," +
		"+p[style|dir|class|align]," +
		"-ol[class|style]," +
		"-ul[class|style]," +
		"-li[class|style]," +
		"br," +
		"img[id|dir|lang|longdesc|usemap|style|class|src|onmouseover|onmouseout|border=0|alt|title|hspace|vspace|width|height|align]," +
		"-sub[style|class]," +
		"-sup[style|class]," +
		"-blockquote[dir|style]," +
		"-table[cellspacing|cellpadding|width|height|class|align|summary|style|dir|id|lang|bgcolor|background|bordercolor]," +
		"-tr[id|lang|dir|class|rowspan|width|height|align|valign|style|bgcolor|background|bordercolor]," +
		"tbody[id|class]," +
		"thead[id|class]," +
		"tfoot[id|class]," +
		"-td[id|lang|dir|class|colspan|rowspan|width|height|align|valign|style|bgcolor|background|bordercolor|scope]," +
		"-th[id|lang|dir|class|colspan|rowspan|width|height|align|valign|style|scope]," +
		"caption[id|lang|dir|class|style]," +
		"-div[id|dir|class|align|style]," +
		"-span[style|class|align]," +
		"-pre[class|align|style]," +
		"address[class|align|style]," +
		"-h1[style|dir|class|align]," +
		"-h2[style|dir|class|align]," +
		"-h3[style|dir|class|align]," +
		"-h4[style|dir|class|align]," +
		"-h5[style|dir|class|align]," +
		"-h6[style|dir|class|align]," +
		"hr[class|style]," +
		"font[face|size|style|id|class|dir|color]," +
		"+style[type:text/css]," +
		"+script[type:text/javascript]," +
		"object[name|id|classid|codebase|width|height|align]",
	forced_root_block:                'p',
	relative_urls:                    true,
	convert_urls:                     false,
	apply_source_formatting:          true,
	remove_linebreaks:                false,
	content_css:                      epages.vars.EditorStyleCSSFile ? epages.vars.EditorStyleCSSFile : '',
	save_enablewhendirty :            false,
	body_class:                       'ShowVisualAid mceShowContent',
	strict_mode:                      true,
	paste_auto_cleanup_on_paste:      true,
	accessibility_warnings:           false
};
tinyMCE.init(epages.vars.tinyMCESettings);