/*
	Copyright (c) 2006-2007, epages Software GmbH
	All Rights Reserved.

	epages.lang.form $Revision: 1.2.56.1 $

*/
dojo.provide('epages.cartridges.de_epages.design.mcecontent_test');
dojo.require('epages.cartridges.de_epages.design.mcecontent');


dojo.extend(epages.cartridges.de_epages.design.MceContent, {
	test: function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	 | var form = new epages.lang.Form();
		//	 | boolean = form.test(eTest);
		//   | // returns true if all test are successfully
		eTest.setPlanned(4);
		eTest.ok(1, 'loaded');

		var info = this.info();

		var content = this.contentString(info);
		eTest.ok(content == '<img src="/BO/icons/content_ico_m_navelementgroup_flash.gif" width="500" height="400" alt="content" title="content" />', 'content');

		var preview = this.previewString(info);
		eTest.ok(preview == '<img class="epItemContent" src="/BO/icons/general_img_transparentpixel.gif" style="background-image: url(/BO/icons/content_ico_m_navelementgroup_flash.gif);" width="500" height="400" alt="content" title="content" ep_info="eyJ3aWR0aCI6IjUwMCIsImhlaWdodCI6IjQwMCIsImNvbnRlbnRDbGFzcyI6ImVwYWdlcy5jYXJ0cmlkZ2VzLmRlX2VwYWdlcy5kZXNpZ24uTWNlQ29udGVudCIsIm5hdkVsZW1lbnRJZCI6IiIsImZvcm1EYXRhIjp7fSwicHJldmlldyI6Ii9CTy9pY29ucy9jb250ZW50X2ljb19tX25hdmVsZW1lbnRncm91cF9mbGFzaC5naWYifQ==" ep_dom="true" />', 'preview');
		$('testId').innerHTML = preview;

		var editor = this.mceEditor2String(preview);
		eTest.ok(editor == '<div class="epItemContent" ep_info="eyJ3aWR0aCI6IjUwMCIsImhlaWdodCI6IjQwMCIsImNvbnRlbnRDbGFzcyI6ImVwYWdlcy5jYXJ0cmlkZ2VzLmRlX2VwYWdlcy5kZXNpZ24uTWNlQ29udGVudCIsIm5hdkVsZW1lbnRJZCI6IiIsImZvcm1EYXRhIjp7fSwicHJldmlldyI6Ii9CTy9pY29ucy9jb250ZW50X2ljb19tX25hdmVsZW1lbnRncm91cF9mbGFzaC5naWYifQ=="><img src="/BO/icons/content_ico_m_navelementgroup_flash.gif" width="500" height="400" alt="content" title="content" /></div>', 'editor => content');


		return eTest.planned == eTest.correct ? true : false;
	}
});
