/*
	Copyright (c) 2006-2007, epages Software GmbH
	All Rights Reserved.

	epages.html.element $Revision: 1.1.52.1 $

*/
dojo.provide('epages.html.element_test');
dojo.require('epages.html.element');

dojo.extend(epages.html.Element, {

	test: function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	 | var el = new epages.lang.Element();
		//	 | boolean = el.test(eTest);
		//	 | // returns true if all test are successfully
		eTest.setPlanned(5);
		eTest.ok(1, 'loaded');

    this.addClassName('red');
		eTest.ok(this.object.className == 'red', 'addClassName');

    this.removeClassName('red');
		eTest.ok(this.object.className == '', 'removeClassName');

    this.addClassName('red');
    this.changeClassName('red', 'darkred');
		eTest.ok(this.object.className == 'darkred', 'changeClassName');

    this.addClassName('blue');
    this.changeClassName('red', 'darkred');
		eTest.ok(this.object.className == 'darkred blue', 'changeClassName');

		return eTest.planned == eTest.correct ? true : false;
	}
});
