/*
	Copyright (c) 2006-2007, epages Software GmbH
	All Rights Reserved.

	epages.lang.form $Revision: 1.3.52.1 $

*/
dojo.provide('epages.html.form_test');
dojo.require('epages.html.form');

dojo.extend(epages.html.Form, {
	test: function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	| var form = new epages.lang.Form();
		//	| boolean = form.test(eTest);
		//	| // returns true if all test are successfully
		eTest.setPlanned(3);
		eTest.ok(1, 'loaded');

		var expected = "{\"Template\":[\"DE_EPAGES/ExternalContent/Templates/Flash/data01.tmpl\"],\"wMode\":[\"Window\"],\"Text99\":[\"NameOrAlias\"],\"Size99\":[\"64\"],\"Text2\":[\"Slogan\"],\"Size2\\\'\":[\"40\\\'\",\"80\"],\"CheckBox\":[\"1\"],\"CheckBox2\":[\"1\",undefined],\"CheckBox3\":[\"on\"],\"RadioBox\":[\"1\"],\"RadioBox2\":[\"1\",\"1\"]}";
		var s = this.toString();
		eTest.ok(s == expected, 'read form');
		if (s != expected) {
			$('target').innerHTML += ('e:' + expected);
			$('target').innerHTML += ('<br />i:' + s);
		}

		var targ = new epages.html.Form($('target'));
		targ.set(s);
		eTest.ok(s == targ.toString(), 'read form');
		return eTest.planned == eTest.correct ? true : false;
	}
});
