﻿
dojo.provide('epages.cartridges.de_epages.externalcontent.fblike');
dojo.require('epages.cartridges.de_epages.design.mcecontent');
dojo.require('epages.widget.Message');
dojo.require('epages.widget.Modaldialog');
dojo.require('epages.io.translation');

epages.cartridges.de_epages.externalcontent.fblike = epages.Class();

dojo.extend(epages.cartridges.de_epages.externalcontent.fblike,
	epages.cartridges.de_epages.design.MceContent.prototype, {
	contentClass    : 'epages.cartridges.de_epages.externalcontent.fblike',
	title           : 'Facebook Like-Button',

	fb_layout				: 'standard',
	fb_show_faces		: ["yes",""],
	width						: 'auto',
	fb_action				: 'like',


	preview         : epages.vars.StoreRoot + '/BO/icons/navelement_fb-like.png',
	directPreview   : false,
	messageWidget   : undefined,
	translation     : new epages.io.Translation(dojo.moduleUrl('epages.cartridges.de_epages.externalcontent', "templates/translation"), "auto"),

	info: function () {
		var info = epages.cartridges.de_epages.design.MceContent.prototype.info.apply(this, arguments);
		dojo.mixin(info, {
			fb_layout       : this.fb_layout,
			fb_show_faces	  : this.fb_show_faces,
			width						: this.width,
			fb_action				: this.fb_action
		});
		return info;
	},

	saveForm: function() {
		if (this.form !== undefined){
			this.formData = (new epages.html.Form(this.form)).get();
		}

		if(this.formData.get("fb_layout")[0] == 'button_count'){
			this.fb_layout = 'button_count';
		}
		else{
			this.fb_layout = 'standard';
		}

		if(this.formData.get('fb_show_faces')[0] == 'true'){
			this.fb_show_faces = 'true';
		}
		else{
			this.fb_show_faces = 'false';
		}

		if(this.formData.get('fb_action') == 'recommend'){
			this.fb_action = 'recommend';
		}
		else{
			this.fb_action = 'like';
		}

	},

	contentString: function (info, ispreview) {
		var retString;
		var href = epages.vars.CanonicalURL ? epages.vars.CanonicalURL : epages.vars.WebUrl;
		href = encodeURIComponent(href);

		var tmp = this.fb_show_faces[0] == "true" ? "true" : "false";
		retString = '<iframe src="' + location.protocol+ '//www.facebook.com/plugins/like.php?href=' + href + '&layout=' + this.fb_layout + '&show_faces=' + tmp + '&width=auto&action=' + this.fb_action + '&colorscheme=light&height=80" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:450px; height:80px;" allowTransparency="true"></iframe>';
		return retString;
	}
});